Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler.event
Class RestartEvent

    java.lang.Object
      oracle.ias.scheduler.event.SchedulerEvent
          oracle.ias.scheduler.event.RestartEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JobBlackoutEvent, JobExecutionEvent

public abstract class RestartEvent
extends SchedulerEvent

This is the base class for all job events that can result from the system restarting an execution as the result of retry or replay.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `m_replay`
`protected boolean` | `m_retry`

Fields inherited from class oracle.ias.scheduler.event.SchedulerEvent
`m_source, m_timestamp`

Constructor Summary
`RestartEvent()`
`RestartEvent(JobHandle job, boolean isReplay, boolean isRetry)` Initializes a newly created `RestartEvent` with the job handle, replay and retry flags

Method Summary
`boolean` | `equals(java.lang.Object v)`
`int` | `hashCode()`
`boolean` | `isReplay()` This method is used to determine if this event was due to an execution that was replayed
`boolean` | `isRetry()` This method is used to determine if this event was due to an execution that was retried due to a prior failed execution

Methods inherited from class oracle.ias.scheduler.event.SchedulerEvent
`getHandle, getSource, getTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_replay

    protected boolean m_replay

### m_retry

    protected boolean m_retry

Constructor Detail

### RestartEvent

    public RestartEvent(JobHandle job,
                        boolean isReplay,
                        boolean isRetry)
                 throws java.lang.IllegalArgumentException

  Initializes a newly created `RestartEvent` with the job handle, replay and retry flags

Parameters:
  `job` - a handle to the job whose execution failed
  `isReplay` - execution is a result of a replay
  `isRetry` - execution is a result of a retry
Throws:
  `java.lang.IllegalArgumentException` - if both isReplay and isRetry evaluate to true.
See Also:
  `to retrieve the job handle.`

### RestartEvent

    public RestartEvent()

Method Detail

### isReplay

    public boolean isReplay()

  This method is used to determine if this event was due to an execution that was replayed

  Returns:
    true if execution was replay execution, false otherwise

### isRetry

    public boolean isRetry()

  This method is used to determine if this event was due to an execution that was retried due to a prior failed execution

  Returns:
    true if execution was a retry execution, false otherwise

### equals

    public boolean equals(java.lang.Object v)

  Overrides:
    `equals` in class `SchedulerEvent`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `SchedulerEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.